[ CCUnit project page ] |  | [ CCUnit home page ]

Functions | Variables

# LogMessage
[Module hierarchy]

Output messages. More...

Collaboration diagram for LogMessage:

## Functions
static int | stackdir (const int *caller)
| return stack growing direction.
static int | nestings ()
| count msg function call nestings
static void | msg (const char *prompt, const char *fmt, va_list args)
| print message.
void | ccunit_dbg (const char *fmt,...)
| print debug message.
void | ccunit_log (const char *fmt,...)
| print log message.
void | ccunit_err (const char *fmt,...)
| print error message.
void | ccunit_msg (const char *fmt,...)
| print message.
## Variables
bool | _ccunit_debug_message = false
| debug message flag.
bool | _ccunit_verbose_message = false
| verbose message flag.
bool | _ccunit_debug_message
| flag for print debug message.
bool | _ccunit_verbose_message
| flag for print log message.

## Detailed Description

Output messages.

## Function Documentation

void ccunit_dbg | ( | const char * | fmt,
|  |  | ... |
| ) |  |  | `[inline]`

print debug message.

Parameters:

  | fmt | message format string.
  | ... | message arguments.

Referenced by getEndOfTest(), getTestName(), readDocComment(), readDocCommentContents(), and readTestCase().

Here is the caller graph for this function:

void ccunit_err | ( | const char * | fmt,
|  |  | ... |
| ) |  |  | `[inline]`

print error message.

Parameters:

  | fmt | message format string.
  | ... | message arguments.

Referenced by ccunit_readSuite(), getTestName(), readDocCommentContents(), readSuite(), readTestCase(), and setFixtureFunc().

Here is the caller graph for this function:

void ccunit_log | ( | const char * | fmt,
|  |  | ... |
| ) |  |  | `[inline]`

print log message.

Parameters:

  | fmt | message format string.
  | ... | message arguments.

Referenced by addTestFixtureDef(), addTestSuiteDef(), getEndOfTest(), newFuncDef(), newTestFixtureDef(), printPrototype(), printPrototypes(), readDocCommentContents(), readline(), and readTestFixture().

Here is the caller graph for this function:

void ccunit_msg | ( | const char * | fmt,
|  |  | ... |
| ) |  |  | `[inline]`

print message.

Parameters:

  | fmt | message format string.
  | ... | message arguments.

static void msg | ( | const char * | prompt,
|  | const char * | fmt,
|  | va_list | args |
| ) |  |  | `[static]`

print message.

Parameters:

  | prompt | message prompt string.
  | fmt | message format string for printf.
  | args | message arguments.

References nestings().

Here is the call graph for this function:

static int nestings | ( |  | ) | `[static]`

count msg function call nestings

Returns:
  1 when function nested, -1 when function returned, 0 when function is same level.

References stackdir().

Referenced by msg().

Here is the call graph for this function:

Here is the caller graph for this function:

static int stackdir | ( | const int * | caller | ) | `[static]`

return stack growing direction.

Parameters:

  | caller | stack variable address of caller function.

Returns:
  1 when stack growing up, -1 when stack growing down.

Referenced by nestings().

Here is the caller graph for this function:

## Variable Documentation

bool _ccunit_debug_message = false

debug message flag.

flag for print debug message.

bool _ccunit_debug_message

flag for print debug message.

bool _ccunit_verbose_message

flag for print log message.

bool _ccunit_verbose_message = false

verbose message flag.

flag for print log message.

| hosts this site. |  | Send comments to: CCUnit Developer |